@echo off
C:\\Windows\\System32\\chcp.com 65001
set "PathSystem="
for /F "skip=2 tokens=1,2*" %%G in ('%SystemRoot%\System32\reg.exe query "HKLM\System\CurrentControlSet\Control\Session Manager\Environment" /v "Path" 2^>nul') do if /I "%%G" == "Path" (
    if /I "%%H" == "REG_EXPAND_SZ" (set "PathExpand=1" & set "PathSystem=%%I") else if /I "%%H" == "REG_SZ" set "PathSystem=%%I"
)
set "PathUser="
for /F "skip=2 tokens=1,2*" %%G in ('%SystemRoot%\System32\reg.exe query "HKCU\Environment" /v "Path" 2^>nul') do if /I "%%G" == "Path" (
    if /I "%%H" == "REG_EXPAND_SZ" (set "PathExpand=1" & set "PathUser=%%I") else if /I "%%H" == "REG_SZ" set "PathUser=%%I"
)

PATH=%PathSystem%;%PathUser%;%SystemRoot%\System32
echo %PATH%

IF [%1]==[] (
    SET BuildData > build_data.conf
) ELSE (
    SET %1 > build_data.conf
)


SET BUILDER=%~dp0
cd "%BUILDER%..\..\.."
echo "===> Build Project Path:  %cd%"
dart run "./bin/main.dart" exe -j